---
  - name: install unattended-upgrade package
    apt:
      name: unattended-upgrades
      state: present
      update_cache: true

  - name: setup automagic security update
    template:
      src: 50unattended-upgrades.j2
      dest: /etc/apt/apt.conf.d/50unattended-upgrades
      owner: root
      group: root
      mode: '0644'
    notify: check upgrade config

  - name: enable auto-upgrades
    template:
      src: 20auto-upgrades.j2
      dest: /etc/apt/apt.conf.d/20auto-upgrades
      owner: root
      group: root
      mode: '0644'
    notify: check upgrade config
